package com.eitc.patient.controller;

import com.eitc.common.core.controller.BaseController;
import com.eitc.common.core.domain.AjaxResult;
import com.eitc.common.core.domain.entity.SysDept;
import com.eitc.system.service.ISysDeptService;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * DoctorController
 *
 * @author mtx
 * @date: 2024/06/13 14:53
 */
@Api(tags = "APP部门")
@RestController
@RequestMapping("/app/sys-dept")
public class AppSysDeptController extends BaseController {

    @Resource
    private ISysDeptService deptService;

    @GetMapping("/list")
    public AjaxResult list(SysDept dept) {
        return success(deptService.selectDeptList(dept));
    }


}
