package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * ClinicInfo
 *
 * @author mtx
 * @date: 2024/06/26 16:28
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("诊所信息")
@TableName("erm_clinic_info")
public class ClinicInfo extends EitcBaseEntity {

    @TableField(value = "clinic_name")
    @ApiModelProperty(value = "诊所名称", name = "clinicName")
    private String clinicName;

    @TableField(value = "logo_pic")
    @ApiModelProperty(value = "logo照片", name = "logoPic")
    private String logoPic;

    @TableField(value = "clinic_link_name")
    @ApiModelProperty(value = "诊所联系人", name = "clinicLinkName")
    private String clinicLinkName;

    @TableField(value = "clinic_link_phone")
    @ApiModelProperty(value = "绑定手机", name = "clinicLinkPhone")
    private String clinicLinkPhone;

    @TableField(value = "city")
    @ApiModelProperty(value = "所在地区", name = "city")
    private String city;

    @TableField(value = "city_code")
    @ApiModelProperty(value = "所在地区", name = "cityCode")
    private String cityCode;

    @TableField(value = "detailed_address")
    @ApiModelProperty(value = "详细信息", name = "detailedAddress")
    private String detailedAddress;

    @TableField(value = "business_license_name")
    @ApiModelProperty(value = "营业执照名称", name = "businessLicenseName")
    private String businessLicenseName;

    @TableField(value = "business_license_code")
    @ApiModelProperty(value = "营业执照代码", name = "businessLicenseCode")
    private String businessLicenseCode;

    @TableField(value = "medical_institution_code")
    @ApiModelProperty(value = "医疗机构代码", name = "medicalInstitutionCode")
    private String medicalInstitutionCode;

    @TableField(value = "business_start_time")
    @ApiModelProperty(value = "营业开始时间", name = "businessStartTime")
//    @JsonFormat(pattern = "HH:mm")
    private String businessStartTime;

    @TableField(value = "business_end_time")
    @ApiModelProperty(value = "营业结束时间", name = "businessEndTime")
//    @JsonFormat(pattern = "HH:mm")
    private String businessEndTime;

    @TableField(value = "clinic_working_days")
    @ApiModelProperty(value = "诊所工作日", name = "clinicWorkingDays")
    private String clinicWorkingDays;

    @TableField(value = "operating_years")
    @ApiModelProperty(value = "经营年限", name = "operatingYears")
    private Integer operatingYears;

    @TableField(value = "dental_chairs_num")
    @ApiModelProperty(value = "牙椅数量", name = "dentalChairsNum")
    private Integer dentalChairsNum;

    @TableField(value = "store_area")
    @ApiModelProperty(value = "门店面积", name = "storeArea")
    private Integer storeArea;

    @TableField(value = "store_introduction")
    @ApiModelProperty(value = "门店介绍", name = "storeIntroduction")
    private String storeIntroduction;

    @TableField(value = "banner_pic")
    @ApiModelProperty(value = "banner图", name = "bannerPic")
    private String bannerPic;

    @TableField(value = "medical_institution_occupational_license")
    @ApiModelProperty(value = "医疗机构职业许可证", name = "medicalInstitutionOccupationalLicense")
    private String medicalInstitutionOccupationalLicense;

    @TableField(value = "scanned_copy_business_license")
    @ApiModelProperty(value = "营业执照扫描件", name = "scannedCopyBusinessLicense")
    private String scannedCopyBusinessLicense;

    @TableField(value = "version_info")
    @ApiModelProperty(value = "当前履约版本编号", name = "versionInfo")
    private String versionInfo;
    @TableField(value = "version_info_new")
    @ApiModelProperty(value = "总服务器履约最新版本", name = "versionInfoNew")
    private String versionInfoNew;
    @TableField(value = "version_repair")
    @ApiModelProperty(value = "当前修复版本号", name = "versionRepair")
    private String versionRepair;
    @TableField(value = "version_repair_new")
    @ApiModelProperty(value = "当前总服务器修复版本号", name = "versionRepairNew")
    private String versionRepairNew;

    @TableField(value = "clinic_code")
    @ApiModelProperty(value = "诊所编号", name = "clinicCode")
    private String clinicCode;

}
