package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * CollectCostPatients
 *
 * @author mtx
 * @date: 2024/05/17 14:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("患者收费信息表")
@TableName("erm_collect_cost_patients")
public class CollectCostPatients extends EitcBaseEntity {

    @TableField(value = "medical_record_id")
    @ApiModelProperty(value = "病历ID", name = "medicalRecordId")
    private String medicalRecordId;

    @TableField(value = "patient_id")
    @ApiModelProperty(value = "患者ID", name = "patientId")
    private String patientId;

    @TableField(value = "patient_name")
    @ApiModelProperty(value = "患者名字", name = "patientName")
    private String patientName;

    @TableField(value = "amount_cost")
    @ApiModelProperty(value = "合计费用", name = "amountCost")
    private BigDecimal amountCost;

    @TableField(value = "receivable_cost")
    @ApiModelProperty(value = "应收费用", name = "receivableCost")
    private BigDecimal receivableCost;

    @TableField(value = "net_receipts_cost")
    @ApiModelProperty(value = "实收费用", name = "netReceiptsCost")
    private BigDecimal netReceiptsCost;

    @TableField(value = "cost_status")
    @ApiModelProperty(value = "收费状态（1待收费，2已收费）", name = "costStatus")
    private Integer costStatus;

}
