package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * CollectCostPatientsDetails
 *
 * @author mtx
 * @date: 2024/05/17 14:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("患者收费信息详情表")
@TableName("erm_collect_cost_patients_details")
public class CollectCostPatientsDetails extends EitcBaseEntity {

    @TableField(value = "collect_cost_patients_id")
    @ApiModelProperty(value = "患者收费信息ID", name = "collectCostPatientsId")
    private String collectCostPatientsId;

    @TableField(value = "project_code")
    @ApiModelProperty(value = "项目编号", name = "projectCode")
    private String projectCode;

    @TableField(value = "project_name")
    @ApiModelProperty(value = "项目名称", name = "projectName")
    private String projectName;

    @TableField(value = "unit_price")
    @ApiModelProperty(value = "单价", name = "unitPrice")
    private BigDecimal unitPrice;

    @TableField(value = "preferential_price")
    @ApiModelProperty(value = "优惠价格", name = "preferentialPrice")
    private BigDecimal preferentialPrice;

    @TableField(value = "total")
    @ApiModelProperty(value = "数量", name = "total")
    @NotNull(message = "数量不能为空")
    private Integer total;

    @TableField(value = "unit")
    @ApiModelProperty(value = "单位", name = "unit")
    private String unit;

    @TableField(value = "tooth_position")
    @ApiModelProperty(value = "牙位", name = "toothPosition")
    private String toothPosition;

}
