package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * DiagnosisTypeCostProject
 *
 * @author mtx
 * @date: 2024/05/17 14:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("诊断分类收费项目表")
@TableName("erm_diagnosis_type_cost_project")
public class DiagnosisTypeCostProject extends EitcBaseEntity {

    @TableField(value = "diagnosis_type_id")
    @ApiModelProperty(value = "诊断分类ID", name = "diagnosisTypeId")
    @NotBlank(message = "诊断分类ID不能为空")
    private String diagnosisTypeId;

    @TableField(value = "collect_cost_details_id")
    @ApiModelProperty(value = "收费分类详情ID", name = "collectCostDetailsId")
    @NotBlank(message = "收费分类详情ID不能为空")
    private String collectCostDetailsId;

    @TableField(value = "total")
    @ApiModelProperty(value = "数量", name = "total")
    @NotNull(message = "数量不能为空")
    private Integer total;

}
