package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * DiagnosisTypeTemplate
 *
 * @author mtx
 * @date: 2024/05/17 14:42
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("诊断分类模板表")
@TableName("erm_diagnosis_type_template")
public class DiagnosisTypeTemplate extends EitcBaseEntity {

    @TableField(value = "diagnosis_type_id")
    @ApiModelProperty(value = "诊断分类id", name = "diagnosisTypeId")
    @NotBlank(message = "诊断分类id不能为空")
    private String diagnosisTypeId;

    @TableField(value = "template_name")
    @ApiModelProperty(value = "模板名称", name = "templateName")
    @NotBlank(message = "模板名称不能为空")
    private String templateName;

    @TableField(value = "template_example")
    @ApiModelProperty(value = "模板示例", name = "templateExample")
    @NotBlank(message = "模板示例不能为空")
    private String templateExample;

    @TableField(value = "template_info")
    @ApiModelProperty(value = "模板信息", name = "templateInfo")
    private String templateInfo;

    @TableField(value = "template_option")
    @ApiModelProperty(value = "模板选项", name = "templateOption")
    private String templateOption;

    @TableField(value = "review_status")
    @ApiModelProperty(value = "审核状态（1待审核，2已审核）", name = "reviewStatus")
    private Integer reviewStatus;

    @TableField(value = "order_num")
    @ApiModelProperty(value = "排序", name = "orderNum")
    private Integer orderNum;

}
