package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * MedicalHistory
 *
 * @author mtx
 * @date: 2024/05/21 17:23
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("病史表")
@TableName("erm_medical_history")
public class MedicalHistory extends EitcBaseEntity {

    @TableField(value = "medical_record_id")
    @ApiModelProperty(value = "病历id", name = "medicalRecordId")
    private String medicalRecordId;

    @TableField(value = "patient_id")
    @ApiModelProperty(value = "患者id", name = "patientId")
    private String patientId;

    @TableField(value = "disease_type")
    @ApiModelProperty(value = "疾病类型", name = "diseaseType")
    private Integer diseaseType;

    @TableField(value = "disease_content")
    @ApiModelProperty(value = "疾病内容", name = "diseaseContent")
    private String diseaseContent;

    @TableField(value = "disease_source")
    @ApiModelProperty(value = "疾病来源（1患者信息，2医生录入）", name = "diseaseSource")
    private Integer diseaseSource;

}
