package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * MedicalRecordDetails
 *
 * @author mtx
 * @date: 2024/05/17 14:44
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("病例详情表")
@TableName("erm_medical_record_details")
public class MedicalRecordDetails extends EitcBaseEntity {

    @TableField(value = "medical_record_id")
    @ApiModelProperty(value = "病历id", name = "medicalRecordId")
    private String medicalRecordId;

    @TableField(value = "diagnosis_type_template_id")
    @ApiModelProperty(value = "诊断分类模板id", name = "diagnosisTypeTemplateId")
    private String diagnosisTypeTemplateId;

    @TableField(value = "diagnosis_type_id")
    @ApiModelProperty(value = "诊断分类id", name = "diagnosisTypeId")
    private String diagnosisTypeId;

    @TableField(value = "diagnosis_type_name")
    @ApiModelProperty(value = "诊断分类名称", name = "diagnosisTypeName")
    private String diagnosisTypeName;

    @TableField(value = "tooth_position")
    @ApiModelProperty(value = "牙位", name = "toothPosition")
    private String toothPosition;

    @TableField(value = "tooth_status")
    @ApiModelProperty(value = "牙位状态（1未完成，2已完成治疗）", name = "toothStatus")
    private Integer toothStatus;

    @TableField(value = "template_name")
    @ApiModelProperty(value = "模板名称", name = "templateName")
    private String templateName;

    @TableField(value = "template_example")
    @ApiModelProperty(value = "模板示例", name = "templateExample")
    private String templateExample;

    @TableField(value = "template_info")
    @ApiModelProperty(value = "模板信息", name = "templateInfo")
    private String templateInfo;

    @TableField(value = "content_info")
    @ApiModelProperty(value = "内容信息", name = "contentInfo")
    private String contentInfo;

    @TableField(value = "template_option")
    @ApiModelProperty(value = "模板选项", name = "templateOption")
    private String templateOption;

    @TableField(value = "template_view")
    @ApiModelProperty(value = "模板选项", name = "template_view")
    private String templateView;

    @TableField(value = "order_num")
    @ApiModelProperty(value = "排序", name = "orderNum")
    private Integer orderNum;

}
