package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * NoticeManage
 *
 * @author mtx
 * @date: 2024/05/17 14:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("公告管理表")
@TableName("erm_notice_manage")
public class NoticeManage extends EitcBaseEntity {

    @TableField(value = "notice_title")
    @ApiModelProperty(value = "公告标题", name = "noticeTitle")
    @NotBlank(message = "公告标题不能为空")
    private String noticeTitle;

    @TableField(value = "notice_content")
    @ApiModelProperty(value = "公告内容", name = "noticeContent")
    @NotBlank(message = "公告内容不能为空")
    private String noticeContent;

    @TableField(value = "notice_start_time")
    @ApiModelProperty(value = "公告开始时间", name = "noticeStartTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @NotNull(message = "公告开始时间不能为空")
    private Date noticeStartTime;

    @TableField(value = "notice_end_time")
    @ApiModelProperty(value = "公告结束时间", name = "noticeEndTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @NotNull(message = "公告结束时间不能为空")
    private Date noticeEndTime;

    @TableField(value = "publish_status")
    @ApiModelProperty(value = "发布状态（1发布，0未发布）", name = "publishStatus")
    @NotNull(message = "发布状态不能为空")
    private Integer publishStatus;

    @TableField(value = "display_status")
    @ApiModelProperty(value = "显示状态(1未开始，2显示中，3已结束)", name = "displayStatus")
    private Integer displayStatus;

    @TableField(value = "publish_people")
    @ApiModelProperty(value = "发布人", name = "publishPeople")
    @NotBlank(message = "发布人不能为空")
    private String publishPeople;

}
