package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * SchedulingStatus
 *
 * @author mtx
 * @date: 2024/05/17 14:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("排班状态")
@TableName("erm_scheduling_status")
public class SchedulingStatus extends EitcBaseEntity {

    @TableField(value = "status_name")
    @ApiModelProperty(value = "状态名称", name = "statusName")
    @NotBlank(message = "状态名称不能为空")
    private String statusName;

    @TableField(value = "start_time", updateStrategy = FieldStrategy.IGNORED)
    @ApiModelProperty(value = "开始时间", name = "startTime")
    @JsonFormat(pattern = "HH:mm")
    private Date startTime;

    @TableField(value = "end_time", updateStrategy = FieldStrategy.IGNORED)
    @ApiModelProperty(value = "结束时间", name = "endTime")
    @JsonFormat(pattern = "HH:mm")
    private Date endTime;

    @TableField(value = "color")
    @ApiModelProperty(value = "颜色", name = "color")
    @NotBlank(message = "颜色不能为空")
    private String color;

    @TableField(value = "order_num")
    @ApiModelProperty(value = "排序", name = "orderNum")
    private Integer orderNum;

}
