package com.eitc.patient.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.eitc.patient.domain.PatientFollowUp;
import com.eitc.patient.dto.PatientAppointmentDto;
import com.eitc.patient.vo.PatientFollowUpVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 患者回访Mapper接口
 *
 * @author eitc
 * @date 2024-07-05
 */
@Mapper
public interface PatientFollowUpMapper extends BaseMapper<PatientFollowUp> {

    /**
     * 根据条件查询患者预约信息列表。
     *
     * @param map 查询条件参数对象。
     * @return 患者预约信息列表。
     * @author mtx
     * @date 2024/5/27 9:26
     */
    List<PatientAppointmentDto> findAppointmentLists(Map<String, String> map);

    /**
     * 根据条件查询患者回访信息列表。
     *
     * @param map 查询条件参数对象。
     * @return 患者回访信息列表。
     * @author mtx
     * @date 2024/5/27 9:26
     */
    List<PatientFollowUpVO> findFollowUpLists(Map<String, String> map);
}
