package com.eitc.patient.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.eitc.patient.domain.CollectCostType;
import com.eitc.patient.tree.CollectCostTypeTree;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * ICollectCostTypeService
 *
 * @author mtx
 * @date: 2024/05/17 15:36
 */
@Service
public interface ICollectCostTypeService extends IService<CollectCostType> {

    /**
     * 查询列表数据
     *
     * @param collectCostType 参数
     * @return 返回结果
     * @author mtx
     * @date: 2024/7/18 19:12
     */
    List<CollectCostType> getList(CollectCostType collectCostType);

    /**
     * 封装属性结构
     *
     * @param parentId 父级id
     * @param list     数据
     * @return 封装好的数据
     */
    List<CollectCostTypeTree> getChildren(String parentId, List<CollectCostTypeTree> list);

    /**
     * 获取面包屑
     *
     * @param parentId id
     * @return 字符串
     * @author mtx
     * @date: 2024/5/31 10:12
     */
    String findCrumb(String parentId);
}
