package com.eitc.patient.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.eitc.patient.domain.DiagnosisTypeCostProject;
import com.eitc.patient.vo.DiagnosisTypeCostProjectInfoVO;
import com.eitc.patient.vo.DiagnosisTypeCostProjectVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * IDiagnosisTypeCostProjectService
 *
 * @author mtx
 * @date: 2024/05/17 15:36
 */
@Service
public interface IDiagnosisTypeCostProjectService extends IService<DiagnosisTypeCostProject> {

    /**
     * 查询收费分类详情列表
     *
     * @param entry 收费分类详情
     * @return 收费分类详情集合
     */
    List<DiagnosisTypeCostProjectInfoVO> findList(DiagnosisTypeCostProjectInfoVO entry);

    /**
     * 保存诊断分类收费项目
     * @param vo 参数
     * @author mtx
     * @date: 2024/7/22 16:41
     */
    void add(DiagnosisTypeCostProjectVO vo);
}
