package com.eitc.patient.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.eitc.common.core.domain.AjaxResult;
import com.eitc.patient.domain.DiagnosisTypeOrderDoctor;
import com.eitc.patient.dto.DiagnosisTypeOrderDoctorDto;
import com.eitc.patient.tree.DiagnosisTypeTree;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * IDiagnosisTypeOrderDoctorService
 *
 * @author mtx
 * @date: 2024/05/17 15:36
 */
@Service
public interface IDiagnosisTypeOrderDoctorService extends IService<DiagnosisTypeOrderDoctor> {

    /**
     * 保存分类排序
     *
     * @param treeList 树
     * @return 返回结果
     * @author mtx
     * @date: 2024/7/10 14:12
     */
    AjaxResult saveTree(List<DiagnosisTypeTree> treeList);

    /**
     * 查询分类排序
     *
     * @param doctorId 医生id
     * @return 返回结果
     * @author mtx
     * @date: 2024/7/10 14:12
     */
    List<DiagnosisTypeOrderDoctorDto> findListByDoctorId(String doctorId);
}
