package com.eitc.patient.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.eitc.patient.domain.DiagnosisType;
import com.eitc.patient.tree.DiagnosisTypeTree;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * DiagnosisTypeService
 *
 * @author mtx
 * @date: 2024/05/17 15:36
 */
@Service
public interface IDiagnosisTypeService extends IService<DiagnosisType> {


    /**
     * 获取面包屑
     *
     * @param parentId id
     * @return 字符串
     * @author mtx
     * @date: 2024/5/31 10:12
     */
    String findCrumb(String parentId);

    /**
     * 根据搜索条件查询所有的诊断分类
     *
     * @param diagnosisType 搜索条件
     * @return 列表
     */
    List<DiagnosisType> getDiagnosisTypes(DiagnosisType diagnosisType);

    /**
     * 封装属性结构
     *
     * @param parentId 父级id
     * @param list     数据
     * @return 封装好的数据
     */
    List<DiagnosisTypeTree> getChildren(String parentId, List<DiagnosisTypeTree> list);

    /**
     * 获取树形结构
     *
     * @return 树形结构
     */
    List<DiagnosisTypeTree> findTreeList();
}
