package com.eitc.patient.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * MedicalRecordParamVO
 *
 * @author mtx
 * @date: 2024/06/07 9:38
 */
@Data
public class MedicalRecordParamVO {

    private String id;
    @ApiModelProperty(value = "预约id", name = "appointmentId")
    private String appointmentId;
    @ApiModelProperty(value = "患者id", name = "patientId")
    private String patientId;
    @ApiModelProperty(value = "状态（1未完成，2已完成治疗）", name = "status")
    private Integer status;
    @ApiModelProperty(value = "就诊类型（1初诊，2复诊）", name = "visitType")
    private Integer visitType;
    @ApiModelProperty(value = "主治医生", name = "attendingDoctorId")
    private Long attendingDoctorId;

    @ApiModelProperty(value = "科室", name = "department")
    private String department;
    @ApiModelProperty(value = "主治医生", name = "attendingDoctorName")
    private String attendingDoctorName;
    @ApiModelProperty(value = "费用", name = "cost")
    private BigDecimal cost;
    @ApiModelProperty(value = "诊所名称", name = "clinicName")
    private String clinicName;

    @ApiModelProperty(value = "诊断分类名称", name = "diagnosisTypeCn")
    private String diagnosisTypeCn;
    @ApiModelProperty(value = "治疗", name = "treatment")
    private String treatment;

    @ApiModelProperty(value = "创建时间", name = "createDate")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;

    @ApiModelProperty(value = "病历详情", name = "dataList")
    private List<MedicalRecordVO> dataList;

}
